Beneficial Owners
Create customer beneficial owner
Creates a new beneficial owner for a business verified customer. Beneficial owners are individuals who own 25% or more of the company’s equity. Requires personal information, address, and SSN or passport for identity verification.
POST
/
customers
/
{id}
/
beneficial-owners
cURL
POST https://api-sandbox.dwolla.com/customers/81696e5d-a593-45a6-8863-3c20ad634de5/beneficial-owners
Content-Type: application/vnd.dwolla.v1.hal+json
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
"firstName": "document",
"lastName": "owner",
"ssn": "123-46-7890",
"dateOfBirth": "1960-11-30",
"address": {
"address1": "123 Main St.",
"city": "New York",
"stateProvinceRegion": "NY",
"country": "US",
"postalCode": "10005"
}
}// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var customerUrl = 'https://api-sandbox.dwolla.com/customers/07d59716-ef22-4fe6-98e8-f3190233dfb8';
var requestBody = {
firstName: 'John',
lastName: 'Doe',
dateOfBirth: '1970-01-01',
ssn: '123-56-7890',
address: {
address1: '99-99 33rd St',
city: 'Some City',
stateProvinceRegion: 'NY',
country: 'US',
postalCode: '11101'
}
};
dwolla
.post(`${customerUrl}/beneficial-owners`, requestBody)
.then(res => res.headers.get('location'));
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
customer_url = 'https://api-sandbox.dwolla.com/customers/AB443D36-3757-44C1-A1B4-29727FB3111C'
request_body = {
'firstName': 'John',
'lastName': 'Doe',
'dateOfBirth': '1970-01-01',
'ssn': '123-46-7890',
'address': {
'address1': '99-99 33rd St',
'city': 'Some City',
'stateProvinceRegion': 'NY',
'country': 'US',
'postalCode': '11101'
}
}
beneficial_owner = app_token.post('%s/beneficial-owners' % customer_url, request_body)
beneficial_owner.headers['location']
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$customersApi = new DwollaSwagger\CustomersApi($apiClient);
$verified_customer = 'https://api-sandbox.dwolla.com/customers/81696e5d-a593-45a6-8863-3c20ad634de5';
$addOwner = $customersApi->addBeneficialOwner([
'firstName' => 'document',
'lastName'=> 'owner',
'dateOfBirth' => '1990-11-11',
'ssn' => '123-34-9876',
'address' =>
[
'address1' => '18749 18th st',
'address2' => 'apt 12',
'address3' => '',
'city' => 'Des Moines',
'stateProvinceRegion' => 'IA',
'postalCode' => '50265',
'country' => 'US'
],
], $verified_customer);
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
customer_url = 'https://api-sandbox.dwolla.com/customers/81696e5d-a593-45a6-8863-3c20ad634de5'
request_body = {
:firstName => 'John',
:lastName => 'Doe',
:ssn => '123-46-7890',
:dateOfBirth => '1970-01-01',
:address => {
:address1 => '99-99 33rd St',
:city => 'Some City',
:stateProvinceRegion => 'NY',
:country => 'US',
:postalCode => '11101'
}
}
beneficial_owner = app_token.post "#{customer_url}/beneficial-owners", request_body
beneficial_owner.response_headers[:location]
{
"code": "BadRequest",
"message": "The request body contains bad syntax or is incomplete."
}{
"code": "Forbidden",
"message": "The supplied credentials are not authorized for this resource."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json Path Parameters
Customer ID for which to create a Beneficial Owner
Body
application/json
Parameters for creating a beneficial owner
- CreateUSBeneficialOwner
- CreateInternationalBeneficialOwner
Create a US Beneficial Owner (identified by SSN). For US-based beneficial owners only. Use SSN for identity verification instead of passport.
Response
successful operation
Was this page helpful?
⌘I
cURL
POST https://api-sandbox.dwolla.com/customers/81696e5d-a593-45a6-8863-3c20ad634de5/beneficial-owners
Content-Type: application/vnd.dwolla.v1.hal+json
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
{
"firstName": "document",
"lastName": "owner",
"ssn": "123-46-7890",
"dateOfBirth": "1960-11-30",
"address": {
"address1": "123 Main St.",
"city": "New York",
"stateProvinceRegion": "NY",
"country": "US",
"postalCode": "10005"
}
}// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var customerUrl = 'https://api-sandbox.dwolla.com/customers/07d59716-ef22-4fe6-98e8-f3190233dfb8';
var requestBody = {
firstName: 'John',
lastName: 'Doe',
dateOfBirth: '1970-01-01',
ssn: '123-56-7890',
address: {
address1: '99-99 33rd St',
city: 'Some City',
stateProvinceRegion: 'NY',
country: 'US',
postalCode: '11101'
}
};
dwolla
.post(`${customerUrl}/beneficial-owners`, requestBody)
.then(res => res.headers.get('location'));
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
customer_url = 'https://api-sandbox.dwolla.com/customers/AB443D36-3757-44C1-A1B4-29727FB3111C'
request_body = {
'firstName': 'John',
'lastName': 'Doe',
'dateOfBirth': '1970-01-01',
'ssn': '123-46-7890',
'address': {
'address1': '99-99 33rd St',
'city': 'Some City',
'stateProvinceRegion': 'NY',
'country': 'US',
'postalCode': '11101'
}
}
beneficial_owner = app_token.post('%s/beneficial-owners' % customer_url, request_body)
beneficial_owner.headers['location']
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$customersApi = new DwollaSwagger\CustomersApi($apiClient);
$verified_customer = 'https://api-sandbox.dwolla.com/customers/81696e5d-a593-45a6-8863-3c20ad634de5';
$addOwner = $customersApi->addBeneficialOwner([
'firstName' => 'document',
'lastName'=> 'owner',
'dateOfBirth' => '1990-11-11',
'ssn' => '123-34-9876',
'address' =>
[
'address1' => '18749 18th st',
'address2' => 'apt 12',
'address3' => '',
'city' => 'Des Moines',
'stateProvinceRegion' => 'IA',
'postalCode' => '50265',
'country' => 'US'
],
], $verified_customer);
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
customer_url = 'https://api-sandbox.dwolla.com/customers/81696e5d-a593-45a6-8863-3c20ad634de5'
request_body = {
:firstName => 'John',
:lastName => 'Doe',
:ssn => '123-46-7890',
:dateOfBirth => '1970-01-01',
:address => {
:address1 => '99-99 33rd St',
:city => 'Some City',
:stateProvinceRegion => 'NY',
:country => 'US',
:postalCode => '11101'
}
}
beneficial_owner = app_token.post "#{customer_url}/beneficial-owners", request_body
beneficial_owner.response_headers[:location]
{
"code": "BadRequest",
"message": "The request body contains bad syntax or is incomplete."
}{
"code": "Forbidden",
"message": "The supplied credentials are not authorized for this resource."
}{
"code": "NotFound",
"message": "The requested resource was not found."
}